CRYPTO_RNG_GET_BYTES(9)

NAME
crypto_rng_get_bytes - get random number

SYNOPSIS

int crypto_rng_get_bytes(struct crypto_rng * tfm, u8 * rdata, unsigned int dlen);

ARGUMENTS

tfm
    cipher handle

rdata
    output buffer holding the random numbers

dlen
    length of the output buffer

DESCRIPTION

This function fills the caller-allocated buffer with random numbers using the random number generator referenced by the cipher handle.

RETURN

> 0 function was successful and returns the number of generated bytes; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT